import { ButtonField } from '../../configurations/fields/button-field';
import * as i0 from "@angular/core";
export declare class ButtonFieldComponent {
    field: ButtonField;
    clickedButton($event: Event): void;
    handleMouseEnter(): void;
    handleMouseLeave(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonFieldComponent, "s-button-field", never, { "field": { "alias": "field"; "required": true; }; }, {}, never, never, false, never>;
}
